---
title: Response()
slug: Web/API/Response/Response
tags:
  - API
  - Constructor
  - Experimental
  - Fetch
  - Reference
  - Response
---
<div>{{APIRef("Fetch")}}</div>

<p>The <code><strong>Response()</strong></code> constructor creates a new {{domxref("Response")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myResponse</var> = new Response(<var>body</var>, <var>init</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>body</em> {{optional_inline}}</dt>
 <dd>An object defining a body for the response. This can be <code>null</code> (which is the default value), or one of:
 <ul>
  <li>{{domxref("Blob")}}</li>
  <li>{{domxref("BufferSource")}}</li>
  <li>{{domxref("FormData")}}</li>
  <li>{{domxref("ReadableStream")}}</li>
  <li>{{domxref("URLSearchParams")}}</li>
  <li>{{domxref("USVString")}}</li>
 </ul>
 </dd>
 <dt><em>init</em> {{optional_inline}}</dt>
 <dd>An options object containing any custom settings that you want to apply to the response, or an empty object (which is the default value). The possible options are:
 <ul>
  <li><code>status</code>: The status code for the reponse, e.g., <code>200</code>.</li>
  <li><code>statusText</code>: The status message associated with the status code, e.g., <code>OK</code>.</li>
  <li><code>headers</code>: Any headers you want to add to your response, contained within a {{domxref("Headers")}} object or object literal of {{domxref("ByteString")}} key/value pairs (see <a href="/en-US/docs/Web/HTTP/Headers">HTTP headers</a> for a reference).</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In our <a href="https://github.com/mdn/fetch-examples/tree/master/fetch-response">Fetch Response example</a> (see <a href="https://mdn.github.io/fetch-examples/fetch-response/">Fetch Response live</a>) we create a new <code>Response</code> object using the constructor, passing it a new {{domxref("Blob")}} as a body, and an init object containing a custom <code>status</code> and <code>statusText</code>:</p>

<pre class="brush: js">var myBlob = new Blob();
var init = { "status" : 200 , "statusText" : "SuperSmashingGreat!" };
var myResponse = new Response(myBlob,init);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#dom-response','Response()')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Response.Response")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
